Subject: Re: [Bitcoin-development] ECDH in the payment protocol

From: Mike Hearn <[email-masked]>
Date: Tue, 13 May 2014 12:29:43 +0200

On Tue, May 13, 2014 at 12:40 AM, Chris Pacia <[email-masked]> wrote:

> Just a thought. Using the payment protocol for stealth would mean we
> would likely have to return to backing up wallets all the time would it
> not?
>

I think you are right. Awkward.

Wallets could auto-respend transactions to a plain (private) HD derived key
to make them findable again. But that gets us back to using block space
inefficiently.

Over time I think wallet backups will get more valuable anyway, as they
will start containing more and more essential data that isn't in the block
chain: receipts, messages, exchange rate records for tax purposes etc. But
being able to get access to your money with just the 12 words (+a date for
SPV wallets) is a pretty desirable safety feature.